Bug 551915 - Review Request: monodevelop-debugger-gdb - A gdb debugger addin for monodevelop
Summary: Review Request: monodevelop-debugger-gdb - A gdb debugger addin for monodevelop
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-03 02:26 UTC by Paul F. Johnson
Modified: 2010-06-20 00:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-20 00:11:26 UTC
chkr: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul F. Johnson 2010-01-03 02:26:39 UTC
SRPM URL: http://www.all-the-johnsons.co.uk/fedora/monodevelop-debugger-gdb-2.2-1.fc13.src.rpm
Description: A debugger plugin for monodevelop which uses gdb

Comment 1 Christian Krause 2010-01-24 17:53:52 UTC
I've roughly scanned over the package and I've seen a couple of issues. It
would be good if they could be fixed first before I do the full complete
review:

- source files differ from upstream and the source URL does not match the link on the download page:
http://ftp.novell.com/pub/mono/sources/monodevelop-debugger-mdb/monodevelop-debugger-mdb-2.2.tar.bz2

- package does not build (x86_64):

Processing files: monodevelop-debugger-gdb-2.2-1.fc13.x86_64
error: File not found by glob: /builddir/build/BUILDROOT/monodevelop-debugger-gdb-2.2-1.fc13.x86_64/usr/lib64/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.Gdb*
RPM build errors:
    File not found by glob: /builddir/build/BUILDROOT/monodevelop-debugger-gdb-2.2-1.fc13.x86_64/usr/lib64/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.Gdb*

Comment 3 David Nielsen 2010-01-27 02:03:16 UTC
why do? --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}

These should be the standard parameters passed regardless no?

Comment 4 Christian Krause 2010-02-09 22:58:22 UTC
(In reply to comment #3)
> why do? --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir}
> --libdir=%{_libdir}

This is OK since the configure script is not a standard autoconf-generated configure script and so it does not accept all parameters of the %configure macro.

Unfortunately the package does not compile in current rawhide. I've checked this on my system as well as in koji.

Comment 6 Christian Krause 2010-02-28 20:31:45 UTC
* rpmlint: TODO
rpmlint RPMS/i686/monodevelop-debugger-gdb-2.2.1-1.fc13.i686.rpm SRPMS/monodevelop-debugger-gdb-2.2.1-1.fc13.src.rpm SPECS/monodevelop-debugger-gdb.spec 
monodevelop-debugger-gdb.i686: W: spelling-error Summary(en_US) Addin -> Addie, Adding, Admin
monodevelop-debugger-gdb.i686: W: spelling-error %description -l en_US Addin -> Addie, Adding, Admin
monodevelop-debugger-gdb.i686: E: no-binary
monodevelop-debugger-gdb.i686: W: only-non-binary-in-usr-lib
monodevelop-debugger-gdb.i686: W: no-documentation
monodevelop-debugger-gdb.src: W: spelling-error Summary(en_US) Addin -> Addie, Adding, Admin
monodevelop-debugger-gdb.src: W: spelling-error %description -l en_US Addin -> Addie, Adding, Admin
monodevelop-debugger-gdb.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 10)
SPECS/monodevelop-debugger-gdb.spec:10: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 10)
2 packages and 1 specfiles checked; 1 errors, 8 warnings.

- no-binary, no-documentation and only-non-binary-in-usr-lib are false positives
- mixed-use-of-spaces-and-tabs should be fixed
- spelling errors: "Addin" should be written "Add-in" (as it is done in
monodevelop as well as on its web page)

* naming: OK
- name matches upstream
- spec file name matches package name

* sources: OK
- md5sum: 33af29187c122ff29b28d77ef889c37e  monodevelop-debugger-gdb-2.2.1.tar.bz2
- sources matches upstream
- Source0 tag ok
- spectool -g  works

* binaries in upstream sources: OK (n/a)

* License: TODO
- License in spec file does not match the actual license, the source files
indicate an MIT license
- Please ask upstream to include a license file

* package containing *.pc files must "Requires: pkgconfig": OK (n/a)

* spec file written in English and legible: minor TODOs
- please split the long line of the BuildRequires so that it fit into
80 characters for better readability
- please append a "/" to the URL to get a 100% correct URL ;-)

* compilation: TODO
- please check whether the package does support a parallel build, if not please add a short comment in the %build section
- builds fine in koji: F14

* BuildRequires: TODO
- it looks like that "gdb" as a BR is not necessary

* Requires: TODO
- please add "Requires: gdb" to ensure that there are no strange
error message when trying to use the gdb debugger inside monodevelop
without having gdb actually installed

* locales handling: OK (n/a)

* ldconfig in %post and %postun: OK (n/a)

* package owns all directories that it creates: OK

* %files section: OK

* no files listed twice in %files: OK

* file permissions: OK
- %defattr used
- actual permissions in packages ok

* %clean section: OK

* macro usage: OK

* code vs. content: OK

* main package should not contain development related parts: OK (n/a)

* large documentation into subpackage: OK (n/a)

* header files in -devel subpackage: OK (n/a)

* static libraries in -static package: OK (n/a)

* *.so link in -devel package: OK (n/a)

* devel package requires base package using fully versioned dependency: OK (n/a)

* packages must not contain *.la files: OK (n/a)

* GUI applications must provide *.desktop file: OK (n/a)

* packages must not own files/dirs already owned by other packages: OK

* rm -rf $RPM_BUILD_ROOT at the beginning of %install: OK

* all filenames UTF-8: OK

* functional test: OK

* debuginfo sub-package: OK (n/a)

Comment 8 Christian Krause 2010-03-05 20:27:54 UTC
Thanks for the new package. All mentioned issues were fixed, so this package is
-> APPROVED

Comment 9 Paul F. Johnson 2010-03-05 22:02:20 UTC
Thanks

New Package CVS Request
=======================
Package Name: monodevelop-debugger-gdb
Short Description: Debugger for monodevelop using gdb
Owners: pfj
Branches: f12 f13 devel
InitialCC:

Comment 10 Kevin Fenzi 2010-03-06 05:11:49 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Claudio Rodrigo Pereyra DIaz 2010-06-19 00:05:20 UTC
I repackage monodevelop-debugger-gdb to update upstream version 2.4

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/monodevelop-debugger-gdb.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/monodevelop-debugger-gdb-2.4-1.fc13.src.rpm

Please review

FE-NEEDSPONSOR

Thanks!


Note You need to log in before you can comment on or make changes to this bug.